<?php

namespace App\Http\Requests\Quote;

use Illuminate\Foundation\Http\FormRequest;

class QuoteSendEmailRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'email' => 'nullable|email|max:100',
            'name' => 'nullable|string|max:100',
            'subject' => 'nullable|string|max:200',
            'message' => 'nullable|string|max:2000',
            'cc' => 'nullable|array',
            'cc.*' => 'nullable|email|max:100',
            'attach_pdf' => 'nullable|boolean',
        ];
    }
}
